import apiClient from './api-client';

const ENDPOINT = '/alerts';

function createAlert(alert) {
  const {batchId, name, conditions} = alert;
  const payload = {batchId, name, conditions};
  return apiClient.post(ENDPOINT, payload);
}

function getAlertById(id) {
  return apiClient.get(`${ENDPOINT}/${id}`);
}

function getAlerts() {
  return apiClient.get(ENDPOINT);
}

function getAlertsByBatchId(batchId) {
  return apiClient.get(`${ENDPOINT}?batchId=${batchId}`);
}

function updateAlert(alertId, update) {
  const {batchId, name, conditions} = update;
  const payload = {batchId, name, conditions};
  return apiClient.patch(`${ENDPOINT}/${alertId}`, payload);
}

function deleteAlertById(id) {
  return apiClient.delete(`${ENDPOINT}/${id}`);
}

export default {
  createAlert,
  getAlertById,
  getAlerts,
  getAlertsByBatchId,
  updateAlert,
  deleteAlertById,
};