import { create } from 'apisauce';
// import cache from '../utility/cache';
// import authStorage from '../auth/storage';
// import settings from '../config/settings';
// import logger from '../utility/logger';

const apiClient = create({});

const get = apiClient.get;
const post = apiClient.post;
const patch = apiClient.patch;
const deleteMethod = apiClient.delete;


apiClient.get = async (url, params, axiosConfig) => {
  let setLoading = () => { }
  let setError = () => { }
  if (params) {
    setLoading = params.setLoading;
    setError = params.setError;
    delete params.setLoading;
    delete params.setError;
  }
  setLoading(true);

  const response = await get(url, params, axiosConfig);

  setLoading(false);
  setError(response.originalError);

  // if (response.ok) {
  // cache.store(url, response.data);
  return response;
  // }

  // const data = null;// await cache.get(url);
  // return data ? { ok: true, data } : response;
}


apiClient.post = async (url, params, axiosConfig) => {

  let setLoading = () => { }
  let setError = () => { }
  if (axiosConfig) {
    if (axiosConfig.setLoading) setLoading = axiosConfig.setLoading;
    if (axiosConfig.setError) setError = axiosConfig.setError;
    delete axiosConfig.setLoading;
    delete axiosConfig.setError;
  }

  setLoading(true);

  const response = await post(url, params, axiosConfig);

  setLoading(false);
  setError(!response.ok);

  return response;
}

apiClient.patch = async (url, params, axiosConfig) => {
  let setLoading = () => { }
  let setError = () => { }
  if (axiosConfig) {
    if (axiosConfig.setLoading) setLoading = axiosConfig.setLoading;
    if (axiosConfig.setError) setError = axiosConfig.setError;
    delete axiosConfig.setLoading;
    delete axiosConfig.setError;
  }

  setLoading(true);

  const response = await patch(url, params, axiosConfig);

  setLoading(false);
  setError(!response.ok);

  return response;
}

apiClient.delete = async (url, params, axiosConfig) => {
  let setLoading = () => { }
  let setError = () => { }
  if (params) {
    if (params.setLoading) setLoading = params.setLoading;
    if (params.setError) setError = params.setError;
    delete params.setLoading;
    delete params.setError;
  }
  setLoading(true);

  const response = await deleteMethod(url, params, axiosConfig);

  setLoading(false);
  setError(!response.ok);

  return response;
}

export default apiClient;