import apiClient from './api-client';
const adminEndpoint = '/admin/device-logs';

const getDeviceLogs = ({ deviceId, from, to}) => {
    const params = new URLSearchParams({
        from,
        to,
      });

    return apiClient.get(`${adminEndpoint}/${deviceId}?${params.toString()}`);
    
};

const getLatestDeviceLogs = (deviceId) => {
  return apiClient.get(`${adminEndpoint}/${deviceId}/latest`);
};

const getDeviceLogsByLevel = ({ logLevel, from, to}) => {
  const params = new URLSearchParams({
    logLevel,
    from,
    to,
  });

  return apiClient.get(`${adminEndpoint}/log-level?${params.toString()}`);
};

export default {
  getDeviceLogs,
  getLatestDeviceLogs,
  getDeviceLogsByLevel
};
