import apiClient from './api-client';
import DeviceStatus from "../dtos/reading";

const endpoint = '/device-statuses';

const getStatusesByDevice = ({
  deviceId,
  from,
}) => {
  const params = new URLSearchParams({
    from,
  });
  let response = apiClient.get(`devices/${deviceId}/statuses?${params.toString()}`);
  let deviceStatuses = [];

  if (response.ok) {
    response.data.forEach(batchData => {
      deviceStatuses.push(new DeviceStatus(batchData));
    });
    response.data = deviceStatuses;
  }
  return response;
}

export default {
  getStatusesByDevice,
}