import apiClient from './api-client';

const endpoint = 'integration';

const getIntegrationConfig = async (clientId, params) => {
  return apiClient.get(`${endpoint}/${clientId}`, params);
};

const refreshT5IConfig = async (clientId, params) => {
  return apiClient.get(`${endpoint}/${clientId}/t5i/refresh`, params);
};

const activateT5ICustomerId = async (clientId, data, params) => {
  return apiClient.post(`${endpoint}/${clientId}/t5i/activate`, data, params);
};

const deactivateT5IIntegration = async (clientId, params) => {
  return apiClient.post(`${endpoint}/${clientId}/t5i/deactivate`, params);
};

const connectDeviceToT5ITank = async (clientId, data, params) => {
  return apiClient.post(`${endpoint}/${clientId}/t5i/connect-device`, data, params);
};

const disconnectDeviceToT5ITank = async (clientId, data, params) => {
  return apiClient.post(`${endpoint}/${clientId}/t5i/disconnect-device`, data, params);
};

export default {
  getIntegrationConfig,
  refreshT5IConfig,
  activateT5ICustomerId,
  deactivateT5IIntegration,
  connectDeviceToT5ITank,
  disconnectDeviceToT5ITank,
};
