import apiClient from './api-client';
import Reading from '../dtos/reading';

const endpoint = '/readings';

const addReading = (readingData) => {
  return apiClient.post(endpoint, readingData);
};

const getReadingsByDevice = ({ deviceId, from, to, temperatureUnit, densityUnit }) => {
  const params = new URLSearchParams({
    from,
    to,
    temperatureUnit,
    densityUnit,
  });

  const response = apiClient.get(`devices/${deviceId}${endpoint}?${params.toString()}`);
  let readings = [];

  if (response.ok) {
    response.data.forEach((readingData) => {
      readings.push(new Reading(readingData));
    });
    response.data = recipes;
  }

  return response;
};

const exportReadings = ({ deviceId, from, to, temperatureUnit, densityUnit }) => {
  const params = new URLSearchParams({
    from,
    to,
    temperatureUnit,
    densityUnit,
  });

  let response = apiClient.post(`devices/${deviceId}/export-readings?${params.toString()}`, {
    body: '',
  });

  let readings = [];

  if (response.ok) {
    response.data.forEach((readingData) => {
      readings.push(new Reading(readingData));
    });
    response.data = recipes;
  }

  return response;
};

export default {
  getReadingsByDevice,
  exportReadings,
  addReading,
};
