import apiClient from "./api-client"

const endpoint = "team";

const createTeam = async (data, params) => {
    return apiClient.post("my-team", data, params)
}
const fetchMyTeam = async (params) => {
    return apiClient.get("my-team", params);
}

const clientRegistration = async (params) => {
    return apiClient.patch('my-team/client-registration', params);
}

const sendInvite = async (data, params) => {
    return apiClient.post(`${endpoint}/${data.user.clientId}/invite`, data, params);
}

const removeTeamMember = async(clientId, data, params) => {
    return apiClient.post(`${endpoint}/${clientId}/remove-member`, data, params)
}

const acceptInvite = async (data, params) => {
    return apiClient.post(`${endpoint}/accept-invite`, data, params);
}

const revokeInvite = async (clientId, data, params) => {
    return apiClient.post(`${endpoint}/${clientId}/revoke`, data, params);
}


export default {
    createTeam,
    fetchMyTeam,
    sendInvite,
    acceptInvite,
    revokeInvite,
    removeTeamMember,
    clientRegistration
}