import Token from "../dtos/token";
import apiClient from "./api-client";

const endpoint = '/tokens/apiToken';

const fetchById = async (id, params) => {
  if (!id) throw new Error('id is required');

  let response = await apiClient.get(`${endpoint}/${id}`, params);
  if (response.ok) {
    response.data = new Token(response.data);
  }
  return response;
}

const fetchList = async (params) => {
  let response = await apiClient.get(endpoint, params);
  let tokens = [];

  
  if (response.ok) {
  if(response.data == null){
    return []
  }
    response.data.forEach(token => {
      tokens.push(new Token(token));
    });
    response.data = tokens;
  }

  return response;
}

const deleteToken = async (id, params) => {
  let response = await apiClient.delete(`${endpoint}/${id}`, params);
  return response;
}

const register = (tokenPayload, params) => apiClient.post(endpoint, tokenPayload, params);

export default {
  fetchById,
  fetchList,
  register,
  deleteToken,
};


