import apiClient from './api/api-client';
import alertApiI from './api/alert-api';
import authApiI from './api/auth-api';
import batchApiI from './api/batch-api';
import clientApiI from './api/client-api';
import deviceApiI from './api/device-api';
import deviceStatusApiI from './api/device-status-api';
import fermentableApiI from './api/fermentable-api';
import readingApiI from './api/reading-api';
import recipeApiI from './api/recipe-api';
import userApiI from './api/user-api';
import teamApiI from './api/team-api';
import tokenApiI from './api/token-api';
import deviceLogApiI from './api/device-log-api';
import integrationApiI from './api/integration-api';
import manualMeasurementApiI from './api/manual-measurement-api';
import { setStoreTokensFunction, setTokens } from './utils/authorization-tools';

import BatchI from './dtos/batch';
import ClientI from './dtos/client';
import DeviceI from './dtos/device';
import DeviceStatusI from './dtos/device-status';
import FermentableI from './dtos/fermentable';
import RecipeI from './dtos/recipe';
import ReadingI from './dtos/reading';
import UserI from './dtos/user';
import TokenI from './dtos/token';
import DeviceLogI from './dtos/pro-device-log';

import useDensityUtilsI from './utils/useDensityUtils';
import useTemperatureUtilsI from './utils/useTemperatureUtils';
import usePressureUtilsI from './utils/usePressureUtils';
import constantsI from './utils/constants';

const setBaseURL = (baseUrl) => apiClient.setBaseURL(baseUrl);

export const Batch = BatchI;
export const Client = ClientI;
export const Device = DeviceI;
export const DeviceStatus = DeviceStatusI;
export const Fermentable = FermentableI;
export const Recipe = RecipeI;
export const Reading = ReadingI;
export const User = UserI;
export const Token = TokenI;
export const DeviceLog = DeviceLogI;

export const alertApi = alertApiI;
export const authApi = authApiI;
export const batchApi = batchApiI;
export const clientApi = clientApiI;
export const deviceApi = deviceApiI;
export const deviceStatusApi = deviceStatusApiI;
export const fermentableApi = fermentableApiI;
export const readingApi = readingApiI;
export const recipeApi = recipeApiI;
export const userApi = userApiI;
export const teamApi = teamApiI;
export const tokenApi = tokenApiI;
export const deviceLogApi = deviceLogApiI;
export const integrationApi = integrationApiI;
export const manualMeasurementApi = manualMeasurementApiI;

export const useDensityUtils = useDensityUtilsI;
export const useTemperatureUtils = useTemperatureUtilsI;
export const usePressureUtils = usePressureUtilsI;
export const constants = constantsI;

export default {
  setBaseURL,
  setTokens,
  setStoreTokensFunction,
};
